org.modeshape.jdbc.metadata

## Interface JDBCColumnNames.REFERENCE_KEYS

- Enclosing interface:
    JDBCColumnNames

      public static interface JDBCColumnNames.REFERENCE_KEYS

  This class contains constants representing column names on ResultSet returned by getCrossReference, getExportedKeys, and getImportedKeys methods on DatabaseMetaData. These constant values are be used to hard code the column names used in construction the ResultSet obj.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFERRABILITY`
    `static String` | `DELETE_RULE`
    `static String` | `FK_NAME`
    `static String` | `FKCOLUMN_NAME`
    `static String` | `FKPOSITION`
    `static String` | `FKTABLE_CAT`
    `static String` | `FKTABLE_NAME`
    `static String` | `FKTABLE_SCHEM`
    `static String` | `KEY_SEQ`
    `static String` | `PK_NAME`
    `static String` | `PKCOLUMN_NAME`
    `static String` | `PKTABLE_CAT`
    `static String` | `PKTABLE_NAME`
    `static String` | `PKTABLE_SCHEM`
    `static String` | `UPDATE_RULE`

- - ### Field Detail

    - #### PKTABLE_CAT

          static final String PKTABLE_CAT

      See Also:
        Constant Field Values

    - #### PKTABLE_SCHEM

          static final String PKTABLE_SCHEM

      See Also:
        Constant Field Values

    - #### PKTABLE_NAME

          static final String PKTABLE_NAME

      See Also:
        Constant Field Values

    - #### PKCOLUMN_NAME

          static final String PKCOLUMN_NAME

      See Also:
        Constant Field Values

    - #### FKTABLE_CAT

          static final String FKTABLE_CAT

      See Also:
        Constant Field Values

    - #### FKTABLE_SCHEM

          static final String FKTABLE_SCHEM

      See Also:
        Constant Field Values

    - #### FKTABLE_NAME

          static final String FKTABLE_NAME

      See Also:
        Constant Field Values

    - #### FKCOLUMN_NAME

          static final String FKCOLUMN_NAME

      See Also:
        Constant Field Values

    - #### KEY_SEQ

          static final String KEY_SEQ

      See Also:
        Constant Field Values

    - #### UPDATE_RULE

          static final String UPDATE_RULE

      See Also:
        Constant Field Values

    - #### DELETE_RULE

          static final String DELETE_RULE

      See Also:
        Constant Field Values

    - #### FK_NAME

          static final String FK_NAME

      See Also:
        Constant Field Values

    - #### PK_NAME

          static final String PK_NAME

      See Also:
        Constant Field Values

    - #### DEFERRABILITY

          static final String DEFERRABILITY

      See Also:
        Constant Field Values

    - #### FKPOSITION

          static final String FKPOSITION

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.